PROMETHEUS-NGINX-EXPORTER(1)

NAME
prometheus-nginx-exporter - NGINX Prometheus exporter.

SYNOPSIS
prometheus-nginx-exporter [options]

DESCRIPTION
NGINX Prometheus exporter makes it possible to monitor NGINX or NGINX Plus using Prometheus.

NGINX exposes a handful of metrics via the stub_status page. NGINX Plus provides a richer set of metrics via the API and the monitoring dashboard. NGINX Prometheus exporter fetches the metrics from a single NGINX or NGINX Plus, converts the metrics into appropriate Prometheus metrics types and finally exposes them via an HTTP server to be collected by Prometheus.

OPTIONS

-nginx.plus Start the exporter for NGINX Plus. By default, the exporter is started for NGINX.

-nginx.scrape-uri string A URI for scraping NGINX or NGINX Plus metrics. For NGINX, the stub_status page must be available through the URI. For NGINX Plus -- the API. (default "http://127.0.0.1:8080/stub_status")

-web.listen-address string An address to listen on for web interface and telemetry. (default ":9113")

-web.telemetry-path string The path under which to expose metrics. (default "/metrics")

SEE ALSO
nginx(8), prometheus(1)

AUTHOR
NGINX, Inc.